$!-----------------------------------------------------------------------------
$! BUILD_ALAMODE.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 21-APR-2022  MGD  incorporate GEOLOCATE.C
$! 01-FEB-2014  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ ON CONTROLY THEN EXIT 44
$!
$ @[]ARCHER.COM "ALAMODE"
$!
$ DEFINES = " /DEFINE=(__VMS_VER=70000000,__CRTL_VER=70000000," +-
            "ALAMODE_GEOLOCATE=1,GEOLOCATE_OBJECT=1)"
$ INCLUDES = " /INCLUDE=[SRC.MISC]"
$ WARNINGS=  " /WARNING=(DISABLE=(PREOPTW))"
$!
$ CC_OPTIONS = "/DECC /OPTIMIZE /FLOAT=IEEE /IEEE=DENORM " +-
               "/STAND=RELAXED_ANSI /PREFIX=ALL" +-
               INCLUDES + DEFINES + WARNINGS
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /NODEBUG/OBJECT='WASD_OBJ_DIR' ALAMODE
$    CC 'CC_OPTIONS' /OBJECT='WASD_OBJ_DIR' GEOLOCATE
$    CC 'CC_OPTIONS' /OBJECT='WASD_OBJ_DIR' WSLIB
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$!   (delete previously used geolocation JavaScript)
$    IF F$SEARCH("WASD_ROOT:[RUNTIME.ALAMODE]GEOLOCATE_IPSTACK.JS") .NES. "" -
        THEN DELETE /NOCONFIRM WASD_ROOT:[RUNTIME.ALAMODE]GEOLOCATE_IPSTACK.JS;*
$    IF F$SEARCH("WASD_ROOT:[RUNTIME.ALAMODE]GEOLOCATE_GEOIPDB.JS") .NES. "" -
        THEN DELETE /NOCONFIRM WASD_ROOT:[RUNTIME.ALAMODE]GEOLOCATE_GEOIPDB.JS;*
$    SET VERIFY
$    LINK /NOTRACE/EXECUTABLE=WASD_EXE:ALAMODE.EXE -
     'WASD_OBJ_DIR'ALAMODE,'WASD_OBJ_DIR'WSLIB,GEOLOCATE,SYS$INPUT:/OPTIONS
SYS$SHARE:SPISHR.EXE/SHARE
IDENTIFICATION="ALAMODE V12.2.a"
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ PURGE /NOLOG 'WASD_OBJ_DIR'
$!
$!-----------------------------------------------------------------------------
